更多>>Java程序设计 Blog

利用idea创建maven项目,报Unable to import Maven project错误的解决方案

利用idea创建了一个maven项目,在pom.xml文件中导入mybatis相关依赖jar文件时,报出了 Unable to import Maven project 错误。

     

利用idea创建了一个maven项目,在pom.xml文件中导入mybatis相关依赖jar文件时,报出了 Unable to import Maven project 错误,如图所示:

413001.png


经过实地测试得知,其中的一个原因是maven所用的版本太高,导致了idea与maven版本不兼容。

如idea所用的版本是2019.2,而maven所用的版本是3.8.5,其实idea软件本身自带了maven功能。

可通过如下方法查看:

File -> Settings -> Build,Execution,Deployment ->Maven


当报 Unable to import Maven project 错误时,所用的maven是自己下载的版本是3.8.5,如图所示:

413002.png


当把maven版本换成idea自带的版本 Bundled (Maven 3)时,可以看到自带的版本是3.6.1,则不再报错误了。

而且在pom.xml中导入MyBatis相关依赖jar文件,也能正常导入了。

413003.png


评论列表

暂时没有相关记录

发表评论

用来接收审核回复提醒,请认真填写

  换一张?
captcha
看不清?点击图片换一张